/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./barcode.component";
import * as i2 from "./qrcode.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Barcode and QR Code components.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the Barcodes module
 * import { BarcodesModule } from '@progress/kendo-angular-barcodes';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, BarcodesModule], // import Barcodes module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class BarcodesModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<BarcodesModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<BarcodesModule, never, [typeof i1.BarcodeComponent, typeof i2.QRCodeComponent], [typeof i1.BarcodeComponent, typeof i2.QRCodeComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<BarcodesModule>;
}
